dagfilter-loader(1)

NAME
dagfilter-loader - Endace DAG card filter-loader utility.

SYNOPSIS
dagfilter-loader [options]

DESCRIPTION
dagfilter_loader is used to parse the user specified filter file(in Endace filter format.) and load a set of filters into a Co-Processor equipped DAG card running IP Filter firmware. The filter set determines what packets are captured. The packets are captured in ERF.

OPTIONS
dagfilter_loader accepts different options for different filtering solutions.B elow is the list of options for different solutions

--device DEVICE
    Use the DAG device referred to by R DEVICE . Supported syntax includes 0, d0, dag1, and /dev/dag3 to refer to DAG cards. If no device is specified, dagconfig assumes d0.

-h,--help
    Display usage(help) information.

-v,--verbose <level>
     Set the verbosity level, from 0 (basic) to 3 (full).

-V,--version
    Display version information.

-f,--rules
    Name of the file containing the rules to load.

--initialize
       --initialise
    If this flag is present then the Co-Processor is initialized before filters are loaded. If this flag is not present, then the filters will be        hot-swapped with the supplied filters.

--init-ports
       --init-ifaces Not valid for InfiniBand DAG cards. Allows you to set the port/interface to which the filter rule set applies. Only valid with the --initialize option.

--init-rulesets
    Valid for Co-Processor filtering only. Number of filter rule sets (databases) in the Co-Processor configuration. Only valid with the --initialize option.

-l,--link <linktype>
    Link type: valid values are "ethernet", "pos4chdlc", and "pos4ppp".

-w,--width <width>
    Not valid for InfiniBand DAG cards. Sets the TCAM width. Only valid with the --initialize option. Only 389bits for non Co-Processor filtering.

-p,--parse-as <parsetype>
    Not valid for InfiniBand DAG cards. Filter type based on which the file has to be parsed.

-r,--verify
    Verify (Read back) rules after loading. (Default is no verification).

--db <number>
     Defines which Database (0-max) to use. Each database holds a single filter rule set. Default is 0

--iface<iface>
    Not valid for InfiniBand DAG cards.Use the rules for iface interface.

-y,--parse-only
    If specified the file is only parsed not loaded into hardware. You need to specify filter type based on which file is to be parsed using --parse-as.

EXAMPLES
Setting up DAG card d0 to do the following 1) initialise the tcam with 1 port and 2 rule-sets. 2) load the rules specified in config_1.txt file to database 1(bank 1).
    dagfilter-loader -d0 --initialise --init-ports 1 --init-rulesets 2 --db 1 -f config_1.txt

config_1.txt

80 accept dst-ip{------------------------01001011}
82 accept src-ip{------------------------01010101}

        The above command will assign the colours 80,82 to packets with destination-ip {------------------------01001011} and source-ip {------------------------01010101}.I n case you have an incoming packet which matches both these conditions that packet will be assigned the colour of the first rule.I t is advised that the user programs the CAT module using dagcat-setup tool appropriately to map the colours to appropriate streams.

SEE ALSO
Endace Configuration and Status API user guide, Endace dagfilter-loader Software Guide, dagcat_setup(3)

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: nuwan.gunasekara $
 $Revision: 13736 $
 $Date: 2011-01-14 17:14:58 +1300 (Fri, 14 Jan 2011) $

COPYRIGHT
(c) 2004-2007 Endace Technology, Hamilton, New Zealand. All Rights Reserved.